Bug 251092 - mail/claws-mail: update to latest 3.17.8
Summary: mail/claws-mail: update to latest 3.17.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on: 251319
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-13 07:34 UTC by bsd
Modified: 2020-11-29 13:16 UTC (History)
5 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments
Patch to update port version to current upstream one (2.42 KB, patch)
2020-11-13 07:34 UTC, bsd
no flags Details | Diff
Patch to reset PORTREVISION in plugin port (407 bytes, patch)
2020-11-13 07:37 UTC, bsd
portmaster: maintainer-approval+
Details | Diff
Patch to update port version to current upstream one, 3.17.8 (2.42 KB, patch)
2020-11-14 06:18 UTC, bsd
portmaster: maintainer-approval-
Details | Diff
updated svn diff for mail/claws-mail: adds (missing) pkg-plist addition (4.73 KB, patch)
2020-11-20 19:28 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
Patch with fixed pkg-plist entry obeying NLS option (3.01 KB, patch)
2020-11-20 20:17 UTC, bsd
no flags Details | Diff
svn diff for mail/claws-mail: pkg-plist addition(s): this time with NLS prefix (4.89 KB, patch)
2020-11-20 20:26 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
svn diff for mail/claws-mail: updates port && adds (missing NLS) entries (2.77 KB, patch)
2020-11-20 20:45 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
claws-mail-plugins metaport port version fix (378 bytes, patch)
2020-11-23 12:03 UTC, bsd
bsd: maintainer-approval?
Details | Diff
claws-mail-pdf_viewer PORTREVISION reset fix (357 bytes, patch)
2020-11-23 12:17 UTC, bsd
bsd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bsd 2020-11-13 07:34:05 UTC
Created attachment 219623 [details]
Patch to update port version to current upstream one

It's time to upgrade, upstream already released 3.17.7 (I tested 3.17.6 as well, just no reason to use this)

Patch to do this included. Using updated port, I've built Claws Mail on i386/11.4-STABLE and 12.1-STABLE/amd64 systems without issues, it runs with no issue for me as primary mailer.

File mail/claws-mail/files/patch-configure.ac should be deleted, it is no longer needed (in patch attached it is turned into zero length file).
Comment 1 bsd 2020-11-13 07:36:21 UTC
Also, at the same time, I think port revisions for plugin ports should be reset. For mail/claws-mail-pdf_viewer port, patch doing this is attached (alternative would be deleting affected line alltogether).
Comment 2 bsd 2020-11-13 07:37:47 UTC
Created attachment 219624 [details]
Patch to reset PORTREVISION in plugin port
Comment 3 bsd 2020-11-13 07:44:12 UTC
Regarding plugins, after updating port with proposed patch, I built a number of plugin ports as well and tested in daily run some I use regularly. Plugins used in my installation are

mail/claws-mail-litehtml_viewer
mail/claws-mail-notification
mail/claws-mail-pdf_viewer
mail/claws-mail-tnef_parse

Plugins built, loaded for test but not loaded in daily usage are

mail/claws-mail-address_keeper
mail/claws-mail-archive
mail/claws-mail-att_remover
mail/claws-mail-attachwarner
mail/claws-mail-dillo
mail/claws-mail-fetchinfo
mail/claws-mail-libravatar
mail/claws-mail-mailmbox
mail/claws-mail-managesieve
mail/claws-mail-newmail
mail/claws-mail-perl
mail/claws-mail-rssyl
mail/claws-mail-spam_report
mail/claws-mail-vcalendar

Remaining plugins require additional dependencies I do not have installed on my system and do not intend to install.
Comment 4 Fernando Apesteguía freebsd_committer 2020-11-13 11:11:45 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 5 bsd 2020-11-13 11:24:25 UTC
For completeness, announce message for version 3.17.6 (skipping with this upgrade)

13th July 2020                                      Claws Mail 3.17.6

		    CLAWS MAIL  RELEASE NOTES
                    http://www.claws-mail.org

Claws Mail is a GTK+ based, user-friendly, lightweight, and fast 
email client.

New in this release:
~~~~~~~~~~~~~~~~~~~~

* It is now possible to 'Inherit Folder properties and processing
  rules from parent folder' when creating new folders with the
  move message and copy message dialogues.

* A Phishing warning is now shown when copying a phishing URL, (in
  addition to clicking a phishing URL).

* The progress window when importing an mbox file is now more
  responsive.

* A warning dialogue is shown if the selected privacy system is
  'None' and automatic signing amd/or encrypting is enabled.

* Python plugin: pkgconfig is now used to check for python2. This
  enables the Python plugin (which uses python2) to be built on
  newer systems which have both python2 and python3.

* Add translation: Greek.

* Updated translation: Polish.

* bug fixes:
	o bug 3922, 'minimize to tray on startup not working'
	o bug 4220, 'generates files in cache without content'
	o bug 4325, 'Following redirects when retrieving image'
	o bug 4342, 'Import mbox file command doesn't work twice on a
	  	     row'
	o fix STARTTLS protocol violation
	o fix initial debug line
	o fix fat-fingered crash when v (hiding msgview) is pressed
	  just before c (check signature)
	o fix non-translation of some Templates strings
Comment 6 bsd 2020-11-13 11:26:05 UTC
Announce message for version 3.17.7

28th September 2020                                 Claws Mail 3.17.7

		    CLAWS MAIL  RELEASE NOTES
                    http://www.claws-mail.org

Claws Mail is a GTK+ based, user-friendly, lightweight, and fast 
email client.

New in this release:
~~~~~~~~~~~~~~~~~~~~

* Image Viewer: Image attachments, when displayed, are now resized
  to fit the available width rather than the available height.

* -d is now an alias to --debug.

* Libravatar plugin: New styles supported: Robohash and Pagan.

* SpamAssassin plugin: The 'Maximum size' option now matches
  SpamAssassin's maximum; it can now handle messages up to 256MB.

* LiteHTML viewer plugin: The UI is now translatable.

* The manual has been updated.

* The man page has been updated.

* Updated translations: French, Spanish.

* bug fixes:
	o bug 4313, 'Recursion stack overflow with rebuilding folder
		     tree'
	o bug 4372, '[pl_PL] Crash after "Send later" without
		     recipient and then "Close"'
	o bug 4373, 'attach mailto URI double free'
	o bug 4374, 'insert mailto URI misses checks'
	o bug 4384, 'U+00AD (soft hyphen) changed to space in
		     Subject'
	o bug 4386, 'Allow Sieve config without userid without
		     warning'
	o Add missing SSL settings when cloning accounts.
	o Parsing of command-line arguments.
	o PGP Core plugin: fix segv in address completion with a
	  keyring.
	o Libravatar plugin: fixes to image display.
Comment 7 Chris Hutchinson 2020-11-13 18:04:50 UTC
First off; thanks for your work on this, Milan. :-)
Second; I, like you, am on 12.1 -- current 12 is @.2
Finally, The patches, and your proposal are all good.
But I am NOT able to sign off on them, as you didn't set
the maintainer-approval? bit on them. So I can give them
a thumbs-up. If you can do that, I'll approve them.

In the meantime, I'll spin up a 12.2 box, and kick the
tires, to make sure everything is as it seems. :-)

Thanks again, Milan.

--Chris
Comment 8 bsd 2020-11-14 06:15:42 UTC
Actually there is already 3.17.8 version, and I did test it, just made an error in submitting wrong patch. I am going to fix that now.
Comment 9 bsd 2020-11-14 06:18:19 UTC
Created attachment 219671 [details]
Patch to update port version to current upstream one, 3.17.8
Comment 10 bsd 2020-11-14 06:31:32 UTC
Announce message for version 3.17.8

19th October 2020                                   Claws Mail 3.17.8

		    CLAWS MAIL  RELEASE NOTES
                    http://www.claws-mail.org

Claws Mail is a GTK+ based, user-friendly, lightweight, and fast 
email client.

This is a bug-fix release:
~~~~~~~~~~~~~~~~~~~~~~~~~~
* Shielded template's |program{} and |attach_program{} so that the
  command-line that is executed does not allow sequencing such as
  with && || ;, preventing possible execution of nasty, or at least
  unexpected, commands

* fixed bug 4376, 'Litehtml breaks locale'

* updated English, French, and Spanish manuals
Comment 11 Chris Hutchinson 2020-11-14 06:46:32 UTC
(In reply to bsd from comment #10)
Thanks for the update. But the patches need *my*
maintainer-approval. not yours. :-)
IOW the same as you did for this pr itself. :-)

--Chris
Comment 12 bsd 2020-11-14 06:48:43 UTC
(In reply to Chris Hutchinson from comment #11)
I was missled by word 'requestee' being translated/explained in online dictionary as 'person making a request', sorry.
Comment 13 bsd 2020-11-14 06:51:17 UTC
(In reply to bsd from comment #12)
Fixed now. Anyway, it would be nice if this could be added automatically when submitting such request because port maintainer is known beforehand...
Comment 14 bsd 2020-11-14 07:20:42 UTC
Just build mail/claws-mail-pgp plugin with no issue. This plugin could be cause for PR 251075 as found by its submitter after some mail exchange between us so I decided to try it.
Comment 15 Chris Hutchinson 2020-11-14 07:30:46 UTC
(In reply to bsd from comment #12)
> I was missled by word 'requestee' being translated/explained
> in online dictionary as 'person making a request', sorry.
LOL no worries. It's not you. It's not really very intuative
*until* you figure it out. Took me awhile too. :-)
Comment 16 Chris Hutchinson 2020-11-14 07:32:25 UTC
Comment on attachment 219624 [details]
Patch to reset PORTREVISION in plugin port

Approved. Looks good. Works good.
Comment 17 Chris Hutchinson 2020-11-14 07:32:57 UTC
Comment on attachment 219671 [details]
Patch to update port version to current upstream one, 3.17.8

Approved. Looks good. Works good.
Comment 18 Chris Hutchinson 2020-11-18 22:36:29 UTC
Comment on attachment 219671 [details]
Patch to update port version to current upstream one, 3.17.8

Looks good. Works good.
Comment 19 Chris Hutchinson 2020-11-18 22:37:12 UTC
Comment on attachment 219624 [details]
Patch to reset PORTREVISION in plugin port

Looks Good. Works good.
Comment 20 Jochen Neumeister freebsd_committer 2020-11-20 16:43:30 UTC
please check the patches. There are some Problems with pkg-plist
Comment 21 Chris Hutchinson 2020-11-20 19:28:41 UTC
Created attachment 219834 [details]
updated svn diff for mail/claws-mail: adds (missing) pkg-plist addition

This svn diff addresses a missing pkg-plist entry.
Builds without issue after applying this patch.
Ready for commit. :-)

--Chris
Comment 22 bsd 2020-11-20 20:13:00 UTC
(In reply to Chris Hutchinson from comment #21)
Hi, Chris, your patch is not 100 % correct, it does not reflect NLS option from option dialog.
Comment 23 bsd 2020-11-20 20:17:27 UTC
Created attachment 219836 [details]
Patch with fixed pkg-plist entry obeying NLS option
Comment 24 bsd 2020-11-20 20:24:42 UTC
(In reply to bsd from comment #23)
Please mark attachment 219834 [details] as obsoleted with using 219836 as fixed.
Comment 25 Chris Hutchinson 2020-11-20 20:26:25 UTC
Created attachment 219837 [details]
svn diff for mail/claws-mail: pkg-plist addition(s): this time with NLS prefix

OK the last one I provided was actually created with
the ports framework. As stated in my previous message;
it built w/o complaint.
*however* here's one that is the exact same patch (diff)
but with the %%NLS%% prefix for those entries.

Is everyone happy now? :-)

--Chris
Comment 26 bsd 2020-11-20 20:33:28 UTC
(In reply to Chris Hutchinson from comment #25)
It should give exactly the same result as one I sent a bit earlier I think. So I see no problem, no objection from my side :)
Comment 27 Chris Hutchinson 2020-11-20 20:45:59 UTC
Created attachment 219838 [details]
svn diff for mail/claws-mail: updates port && adds (missing NLS) entries

patch for claws-mail FINAL. ;-)
I know. Got too many irons in the fire today -- sigh...
Anyway, this on will satisfy all concerned. :-)

Ready for commit -- this time, for sure.

--Chris
Comment 28 Chris Hutchinson 2020-11-20 20:54:45 UTC
(In reply to bsd from comment #26)
> It should give exactly the same result as one I sent a bit earlier I think.
Not quite;
It's easier to work with a *relative* Index than a full,
or absolute. As a rule; it's (usually) easier for the
committers to patch from a category.
So my Index looks as:
Index: claws-mail/<some-file>

whereas yours looks as:
Index: /usr/ports/mail/claws-mail/<some-file>

In any case, it makes diff/patch more flexible
with a Relative Index

Thanks for everyone's time on this!

--Chris
Comment 29 Jochen Neumeister freebsd_committer 2020-11-21 09:24:05 UTC
which of the patches is the right one? ^^
Comment 30 bsd 2020-11-21 15:30:26 UTC
(In reply to Jochen Neumeister from comment #29)
219838 plus 219624, in my oppinion.
Comment 31 Chris Hutchinson 2020-11-21 20:29:09 UTC
(In reply to Jochen Neumeister from comment #29)
The two that I approved. :-)
( mail_claws-mail04.diff && claws-mail-fix )

Thanks for your time!

--Chris
Comment 32 bsd 2020-11-23 11:57:34 UTC
Comment on attachment 219836 [details]
Patch with fixed pkg-plist entry obeying NLS option

This patch should be made obsolete given there is patch 219838 doing the same thing, formally better way. I found no method to mark it as such myself :(
Comment 33 bsd 2020-11-23 12:03:33 UTC
Created attachment 219903 [details]
claws-mail-plugins metaport port version fix

Claws Mail plugins metaport should have identical version with both main port and all plugin slave ports. Currently only slave ports take their version from main port, therefore it should be changed when main port version changes.
Comment 34 bsd 2020-11-23 12:12:34 UTC
Comment on attachment 219903 [details]
claws-mail-plugins metaport port version fix

Description fix
Comment 35 bsd 2020-11-23 12:14:18 UTC
Comment on attachment 219836 [details]
Patch with fixed pkg-plist entry obeying NLS option

I found it, mark as obsolete :)
Comment 36 bsd 2020-11-23 12:17:57 UTC
Created attachment 219904 [details]
claws-mail-pdf_viewer PORTREVISION reset fix

Formally better patch to reset PORTREVISION in slave port, with more accurate description of patch
Comment 37 bsd 2020-11-23 12:21:13 UTC
Chris, I found one more fix in slave port (plugins meta port) and adjusted index in pdf_viewer slave port patch to be rooted relatively in /usr/ports directory. Please reveiew both patches and approve :)

Now this should be really FINAL status ;)
Comment 38 Chris Hutchinson 2020-11-23 17:35:37 UTC
YIKES!
I *greatly* appreciate your work, and enthusiasm, Milan.
But you're muddying the waters here, and torturing the
committers.
In an effort to get this pr(1) committed. I'd like to ask
that you mark the plugin related patches/diffs obsolete,
and move any plugin related work to separate pr's. This
makes changes easier to follow, and work with. The
committers are overburdened as it is. So keeping things
"tidy" and concise really helps speed things along for
all concerned. :-)

Thanks for understanding, and thanks for all your work :-)

--Chris
Comment 39 Matthias Andree freebsd_committer 2020-11-23 22:48:14 UTC
If I - as one committer with just personal voice here - may also add my few cents, I seriously question the need to version-chase meta ports to the main version. This should only happen when there is a strong dependency between port and plugins - and in that case, it should be in the relevant *_DEPENDS lines with an explicit version check, so that pkg(8)'s solver can do the right thing.
Comment 40 Chris Hutchinson 2020-11-23 23:22:15 UTC
(In reply to Matthias Andree from comment #39)
Concur! :-)
I just took a break from $work to check my mail,
and found I needed to deal with 12 mail/claws-mail
pr(1) messages.
So I can only imagine what a committers pool might
look like. :-}
Anyway. I'm afraid I gave an OK to one of the
(offending) meta-chasing pr's.
I'll be more mindful in the future. :-)

Thanks for the input, Matthias!

--Chris
Comment 41 bsd 2020-11-24 12:08:30 UTC
Re 'claws-mail-plugins metaport port version fix' acceptance - this is somehow loosely related, I don't care much here. In my eyes it is 'nice to have', but not essential. Patch itself is trivial.

Re 'claws-mail-pdf_viewer PORTREVISION reset fix' acceptance - in my eyes this is tightly linked with main port and should be commited together. If handled separately from main patch, under some circumstances unpleasant effect could occur. Think about following scenarion:

- package from mail/claws-mail-pdf_viewer is built, result is currently claws-mail-pdf_viewer-3.17.5_14

- port mail/claws-mail is updated with patch from this PR

- package from mail/claws-mail-pdf_viewer is built, result is currently claws-mail-pdf_viewer-3.17.8_14

- port mail/claws-mail-pdf_viewer is updated with the other patch from this PR some time later

- package from mail/claws-mail-pdf_viewer is built, result is currently claws-mail-pdf_viewer-3.17.8

Now we are not doing the right thing in package names/numbers. This clearly demonstrates the need for handling both patches in the same commit, because all slave ports draw their version number from master port, obeying the principle 'reset PORTREVISION when PORTVERSION is changed'.
Comment 42 Chris Hutchinson 2020-11-24 16:08:13 UTC
(In reply to bsd from comment #41)
regarding claws-mail-plugins (meta-port)
There is no reason that any of the children of this port
can't be adjusted as needed|required, and pr(1)s created
accordingly. As to mail/claws-mail It need not be
adjusted at the same time *unless* not doing so will
adversely affect the port. My only objection in *this*
pr(1); is the addition of patches/diffs *other* than
directly pertaining to mail/claws-mail itself.
IMHO they belong in separate pr(s). :-)

--Chris
Comment 43 commit-hook freebsd_committer 2020-11-26 17:19:47 UTC
A commit references this bug:

Author: joneum
Date: Thu Nov 26 17:18:53 UTC 2020
New revision: 556345
URL: https://svnweb.freebsd.org/changeset/ports/556345

Log:
  Update to 3.17.8

  Full Changelogs: https://www.claws-mail.org/NEWS

  PR:		251092
  Sponsored by:	Netzkommune GmbH

Changes:
  head/mail/claws-mail/Makefile
  head/mail/claws-mail/Makefile.claws
  head/mail/claws-mail/distinfo
  head/mail/claws-mail/files/patch-configure.ac
  head/mail/claws-mail/pkg-plist
  head/mail/claws-mail-pdf_viewer/Makefile